Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class UnicodeLexerSharedInputState

    java.lang.Object
      antlr.LexerSharedInputState
          org.codehaus.groovy.antlr.UnicodeLexerSharedInputState

    public class UnicodeLexerSharedInputState
    extends antlr.LexerSharedInputState

GRECLIPSE-805 Support for unicode escape sequences

Authors:
  Andrew Eisenberg

Field Summary

Fields inherited from class antlr.LexerSharedInputState
guessing

Constructor Summary
`UnicodeLexerSharedInputState(UnicodeEscapingReader in)`

Method Summary
`int` | `getColumn()`
`int` | `getTokenStartColumn()`

Methods inherited from class antlr.LexerSharedInputState
antlr.LexerSharedInputState#reset(), antlr.LexerSharedInputState#getInput(), antlr.LexerSharedInputState#getColumn(), antlr.LexerSharedInputState#getLine(), antlr.LexerSharedInputState#getFilename(), antlr.LexerSharedInputState#getTokenStartColumn(), antlr.LexerSharedInputState#getTokenStartLine(), antlr.LexerSharedInputState#wait(long), antlr.LexerSharedInputState#wait(long, int), antlr.LexerSharedInputState#wait(), antlr.LexerSharedInputState#equals(java.lang.Object), antlr.LexerSharedInputState#toString(), antlr.LexerSharedInputState#hashCode(), antlr.LexerSharedInputState#getClass(), antlr.LexerSharedInputState#notify(), antlr.LexerSharedInputState#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### UnicodeLexerSharedInputState

    public UnicodeLexerSharedInputState(UnicodeEscapingReader in)

Method Detail

### getColumn

    @Override
    public int getColumn()

### getTokenStartColumn

    @Override
    public int getTokenStartColumn()

Groovy Documentation